Package org.apache.tools.ant.taskdefs.optional.ssh

# Class SSHSession.LocalTunnel

java.lang.Object
org.apache.tools.ant.taskdefs.optional.ssh.SSHSession.LocalTunnel

Enclosing class:
  `SSHSession`

public class SSHSession.LocalTunnel extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocalTunnel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getLPort()`
  `String`
  `getRHost()`
  `int`
  `getRPort()`
  `void`
  `setLPort(int lport)`
  `void`
  `setRHost(String rhost)`
  `void`
  `setRPort(int rport)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LocalTunnel

    public LocalTunnel()

- ## Method Details

  - ### setLPort

    public void setLPort(int lport)

  - ### setRHost

    public void setRHost(String rhost)

  - ### setRPort

    public void setRPort(int rport)

  - ### getLPort

    public int getLPort()

  - ### getRHost

    public String getRHost()

  - ### getRPort

    public int getRPort()